1
0
Files
2016-11-30 09:03:17 +08:00

1341 lines
30 KiB
Makefile
Raw Permalink Blame History

This file contains invisible Unicode characters

This file contains invisible Unicode characters that are indistinguishable to humans but may be processed differently by a computer. If you think that this is intentional, you can safely ignore this warning. Use the Escape button to reveal them.

# Makefile.in generated by automake 1.11 from Makefile.am.
# tests/Makefile. Generated from Makefile.in by configure.
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
pkgdatadir = $(datadir)/automake
pkgincludedir = $(includedir)/automake
pkglibdir = $(libdir)/automake
pkglibexecdir = $(libexecdir)/automake
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
$(srcdir)/aclocal.in $(srcdir)/automake.in $(srcdir)/defs.in \
$(srcdir)/parallel-tests.am
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/amversion.m4 \
$(top_srcdir)/m4/auxdir.m4 $(top_srcdir)/m4/init.m4 \
$(top_srcdir)/m4/install-sh.m4 $(top_srcdir)/m4/lead-dot.m4 \
$(top_srcdir)/m4/missing.m4 $(top_srcdir)/m4/mkdirp.m4 \
$(top_srcdir)/m4/options.m4 $(top_srcdir)/m4/runlog.m4 \
$(top_srcdir)/m4/sanity.m4 $(top_srcdir)/m4/strip.m4 \
$(top_srcdir)/m4/substnot.m4 $(top_srcdir)/m4/tar.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/lib/mkinstalldirs
CONFIG_CLEAN_FILES = defs aclocal-${APIVERSION} automake-${APIVERSION}
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
# If stdout is a non-dumb tty, use colors. If test -t is not supported,
# then this fails; a conservative approach. Of course do not redirect
# stdout here, just stderr.
am__tty_colors = \
red=; grn=; lgn=; blu=; std=; \
test "X$(AM_COLOR_TESTS)" != Xno \
&& test "X$$TERM" != Xdumb \
&& { test "X$(AM_COLOR_TESTS)" = Xalways || test -t 1 2>/dev/null; } \
&& { \
red=''; \
grn=''; \
lgn=''; \
blu=''; \
std=''; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
for p in $$list; do echo "$$p $$p"; done | \
sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
$(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
if (++n[$$2] == $(am__install_max)) \
{ print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
END { for (dir in files) print dir, files[dir] }'
am__base_list = \
sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
# Restructured Text title and section.
am__rst_title = sed 's/.*/ & /;h;s/./=/g;p;x;p;g;p;s/.*//'
am__rst_section = sed 'p;s/./=/g;p;g'
# Put stdin (possibly several lines separated by ". ") in a box.
am__text_box = $(AWK) '{ \
n = split($$0, lines, "\\. "); max = 0; \
for (i = 1; i <= n; ++i) \
if (max < length(lines[i])) \
max = length(lines[i]); \
for (i = 0; i < max; ++i) line = line "="; \
print line; \
for (i = 1; i <= n; ++i) if (lines[i]) print lines[i];\
print line; \
}'
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL). This contradicts POSIX. Work around the problem
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# To be inserted before the command running the test. Creates the
# directory for the log if needed. Stores in $dir the directory
# containing $f, in $tst the test, in $log the log, and passes
# TESTS_ENVIRONMENT. Save and restore TERM around use of
# TESTS_ENVIRONMENT, in case that unsets it.
am__check_pre = \
$(am__sh_e_setup); \
$(am__vpath_adj_setup) $(am__vpath_adj) \
srcdir=$(srcdir); export srcdir; \
rm -f $@-t; \
trap 'st=$$?; rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st' \
1 2 13 15; \
am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`; \
test "x$$am__odir" = x. || $(MKDIR_P) "$$am__odir" || exit $$?; \
if test -f "./$$f"; then dir=./; \
elif test -f "$$f"; then dir=; \
else dir="$(srcdir)/"; fi; \
tst=$$dir$$f; log='$@'; __SAVED_TERM=$$TERM; \
$(TESTS_ENVIRONMENT)
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check check-html recheck recheck-html
TEST_SUITE_LOG = test-suite.log
TEST_SUITE_HTML = $(TEST_SUITE_LOG:.log=.html)
TEST_EXTENSIONS = .test
am__test_logs1 = $(TESTS:=.log)
TEST_LOGS = $(am__test_logs1:.test.log=.log)
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
$(TEST_LOG_FLAGS)
TEST_LOGS_TMP = $(TEST_LOGS:.log=.log-t)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = perllibdir="/opt/automake-1.11/lib:./lib" "/opt/automake-1.11/aclocal" --acdir=m4 -I m4
AMTAR = ${SHELL} /opt/automake-1.11/lib/missing --run tar
APIVERSION = 1.11
AUTOCONF = ${SHELL} /opt/automake-1.11/lib/missing --run autoconf
AUTOHEADER = ${SHELL} /opt/automake-1.11/lib/missing --run autoheader
AUTOMAKE = perllibdir="/opt/automake-1.11/lib:./lib" "/opt/automake-1.11/automake" --libdir=lib
AWK = gawk
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"GNU\ Automake\" -DPACKAGE_TARNAME=\"automake\" -DPACKAGE_VERSION=\"1.11\" -DPACKAGE_STRING=\"GNU\ Automake\ 1.11\" -DPACKAGE_BUGREPORT=\"bug-automake@gnu.org\" -DPACKAGE=\"automake\" -DVERSION=\"1.11\"
ECHO_C =
ECHO_N = -n
ECHO_T =
EGREP = /bin/grep -E
FGREP = /bin/grep -F
GREP = /bin/grep
HELP2MAN = ${SHELL} /opt/automake-1.11/lib/missing --run help2man
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LIBOBJS =
LIBS =
LN = ln
LTLIBOBJS =
MAKEINFO = ${SHELL} /opt/automake-1.11/lib/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MODIFICATION_DELAY = 2
PACKAGE = automake
PACKAGE_BUGREPORT = bug-automake@gnu.org
PACKAGE_NAME = GNU Automake
PACKAGE_STRING = GNU Automake 1.11
PACKAGE_TARNAME = automake
PACKAGE_VERSION = 1.11
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PERL_THREADS = 1
SET_MAKE =
SHELL = /bin/bash
STRIP =
TEX = tex
VERSION = 1.11
abs_builddir = /opt/automake-1.11/tests
abs_srcdir = /opt/automake-1.11/tests
abs_top_builddir = /opt/automake-1.11
abs_top_srcdir = /opt/automake-1.11
am_AUTOCONF = autoconf
am_AUTOHEADER = autoheader
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias =
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias =
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /opt/automake-1.11/lib/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgvdatadir = ${datadir}/automake-1.11
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sh_errexit_works = yes
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias =
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
XFAIL_TESTS = \
all.test \
auxdir2.test \
cond17.test \
txinfo5.test
parallel_tests = \
check-p.test \
check10-p.test \
check11-p.test \
check2-p.test \
check3-p.test \
check4-p.test \
check5-p.test \
check6-p.test \
check7-p.test \
check8-p.test \
check9-p.test \
color-p.test \
comment9-p.test \
dejagnu-p.test \
exeext4-p.test \
maken3-p.test \
maken4-p.test \
pr401-p.test \
pr401b-p.test \
pr401c-p.test
MAINTAINERCLEANFILES = $(parallel_tests)
TESTS = \
aclibobj.test \
aclocal.test \
aclocal3.test \
aclocal4.test \
aclocal5.test \
aclocal6.test \
aclocal7.test \
aclocal8.test \
aclocal9.test \
acloca10.test \
acloca11.test \
acloca12.test \
acloca13.test \
acloca14.test \
acloca15.test \
acloca16.test \
acloca17.test \
acloca18.test \
acloca19.test \
acloca20.test \
acloca21.test \
acloca22.test \
acoutnoq.test \
acoutpt.test \
acoutpt2.test \
acoutqnl.test \
acoutbs.test \
acsilent.test \
acsubst.test \
acsubst2.test \
all.test \
alloca.test \
alloca2.test \
alpha.test \
alpha2.test \
amassign.test \
ammissing.test \
amopt.test \
amsubst.test \
ansi.test \
ansi2.test \
ansi3.test \
ansi3b.test \
ansi4.test \
ansi5.test \
ansi6.test \
ansi7.test \
ansi8.test \
ansi9.test \
ansi10.test \
ar.test \
ar2.test \
asm.test \
asm2.test \
asm3.test \
autohdr.test \
autohdr2.test \
autohdr3.test \
autohdr4.test \
automake.test \
auxdir.test \
auxdir2.test \
auxdir3.test \
auxdir4.test \
backsl.test \
backsl2.test \
backsl3.test \
backsl4.test \
badline.test \
badprog.test \
block.test \
bsource.test \
canon.test \
canon2.test \
canon3.test \
canon4.test \
canon5.test \
canon-name.test \
ccnoco.test \
ccnoco2.test \
check.test \
check2.test \
check3.test \
check4.test \
check5.test \
check6.test \
check7.test \
check8.test \
check9.test \
check10.test \
check11.test \
checkall.test \
clean.test \
clean2.test \
colneq.test \
colneq2.test \
colon.test \
colon2.test \
colon3.test \
colon4.test \
colon5.test \
colon6.test \
colon7.test \
color.test \
comment.test \
comment2.test \
comment3.test \
comment4.test \
comment5.test \
comment6.test \
comment7.test \
comment8.test \
comment9.test \
commen10.test \
commen11.test \
compile.test \
compile2.test \
compile_f90_c_cxx.test \
compile_f_c_cxx.test \
cond.test \
cond2.test \
cond3.test \
cond4.test \
cond5.test \
cond6.test \
cond7.test \
cond8.test \
cond9.test \
cond10.test \
cond11.test \
cond13.test \
cond14.test \
cond15.test \
cond16.test \
cond17.test \
cond18.test \
cond19.test \
cond20.test \
cond21.test \
cond22.test \
cond23.test \
cond24.test \
cond25.test \
cond26.test \
cond27.test \
cond28.test \
cond29.test \
cond30.test \
cond31.test \
cond32.test \
cond33.test \
cond34.test \
cond35.test \
cond36.test \
cond37.test \
cond38.test \
cond39.test \
cond40.test \
cond41.test \
cond42.test \
cond43.test \
condd.test \
condhook.test \
condinc.test \
condinc2.test \
condlib.test \
condman.test \
condman2.test \
conf2.test \
confdeps.test \
conff.test \
conff2.test \
confh.test \
confh4.test \
confh5.test \
config.test \
confincl.test \
conflnk.test \
conflnk2.test \
conflnk3.test \
conflnk4.test \
confsub.test \
confvar.test \
confvar2.test \
copy.test \
ctarget1.test \
cxx.test \
cxx2.test \
cxxansi.test \
cxxcpp.test \
cxxlibobj.test \
cxxlink.test \
cxxnoc.test \
cxxo.test \
cygwin32.test \
dash.test \
defun.test \
defun2.test \
dejagnu.test \
dejagnu2.test \
dejagnu3.test \
dejagnu4.test \
dejagnu5.test \
dejagnu6.test \
dejagnu7.test \
depacl2.test \
depcomp.test \
depcomp2.test \
depcomp3.test \
depcomp4.test \
depcomp5.test \
depcomp6.test \
depcomp7.test \
depdist.test \
depend.test \
depend2.test \
depend3.test \
depend4.test \
depend5.test \
depend6.test \
destdir.test \
dirforbid.test \
dirlist.test \
dirlist2.test \
discover.test \
distcleancheck.test \
distcom2.test \
distcom3.test \
distcom4.test \
distcom5.test \
distcom6.test \
distcom7.test \
distdir.test \
distname.test \
dollar.test \
dollarvar.test \
dollarvar2.test \
double.test \
dup2.test \
else.test \
empty.test \
empty2.test \
empty3.test \
empty4.test \
exdir.test \
exdir2.test \
exdir3.test \
exeext.test \
exeext2.test \
exeext3.test \
exeext4.test \
exsource.test \
ext.test \
ext2.test \
extra.test \
extra3.test \
extra4.test \
extra5.test \
extra6.test \
extra7.test \
extra8.test \
f90only.test \
flavor.test \
flibs.test \
fn99.test \
fn99subdir.test \
fnoc.test \
fo.test \
fort1.test \
fort2.test \
fort4.test \
fort5.test \
fonly.test \
fortdep.test \
fpinst2.test \
fpinstall.test \
gcj.test \
gcj2.test \
gcj3.test \
gcj4.test \
gcj5.test \
getopt.test \
gettext.test \
gettext2.test \
gettext3.test \
gnumake.test \
gnuwarn.test \
gnuwarn2.test \
gnits.test \
gnits2.test \
gnits3.test \
header.test \
help.test \
hfs.test \
hosts.test \
implicit.test \
include.test \
include2.test \
info.test \
init.test \
insh2.test \
install2.test \
installdir.test \
instsh.test \
instsh2.test \
instsh3.test \
instdat.test \
instdat2.test \
instdir.test \
instdir2.test \
instdir-java.test \
instdir-lisp.test \
instdir-ltlib.test \
instdir-prog.test \
instdir-python.test \
instdir-texi.test \
instexec.test \
instfail.test \
instfail-info.test \
instfail-java.test \
instfail-libtool.test \
insthook.test \
instman.test \
instman2.test \
instmany.test \
instmany-mans.test \
instmany-python.test \
instspc.test \
interp.test \
interp2.test \
java.test \
java2.test \
java3.test \
javaprim.test \
javasubst.test \
ldadd.test \
ldflags.test \
lex.test \
lex2.test \
lex3.test \
lex4.test \
lex5.test \
libexec.test \
libobj2.test \
libobj3.test \
libobj4.test \
libobj5.test \
libobj7.test \
libobj8.test \
libobj10.test \
libobj11.test \
libobj12.test \
libobj13.test \
libobj14.test \
library.test \
library2.test \
library3.test \
libtool.test \
libtool2.test \
libtool3.test \
libtool4.test \
libtool5.test \
libtool6.test \
libtool7.test \
libtool8.test \
libtool9.test \
libtoo10.test \
libtoo11.test \
license.test \
license2.test \
link_c_cxx.test \
link_dist.test \
link_f90_only.test \
link_fc.test \
link_fccxx.test \
link_fcxx.test \
link_f_only.test \
lisp2.test \
lisp3.test \
lisp4.test \
lisp5.test \
lisp6.test \
lisp7.test \
lisp8.test \
listval.test \
location.test \
longline.test \
longlin2.test \
ltcond.test \
ltcond2.test \
ltconv.test \
ltdeps.test \
ltinstloc.test \
ltlibobjs.test \
ltlibsrc.test \
ltorder.test \
lzma.test \
maintclean.test \
make.test \
makej.test \
makej2.test \
maken.test \
maken2.test \
maken3.test \
maken4.test \
makevars.test \
man.test \
man2.test \
man3.test \
man4.test \
man5.test \
mclean.test \
mdate.test \
mdate2.test \
mdate3.test \
mdate4.test \
mdate5.test \
missing.test \
missing2.test \
missing3.test \
missing4.test \
missing5.test \
missing6.test \
mkinstall.test \
mkinst2.test \
mkinst3.test \
mmode.test \
mmodely.test \
multlib.test \
nobase.test \
nobase-libtool.test \
nobase-python.test \
nodef.test \
nodef2.test \
nodep.test \
nodep2.test \
nodepcomp.test \
nodist.test \
nodist2.test \
nodist3.test \
nogzip.test \
nogzip2.test \
noinst.test \
noinstdir.test \
nolink.test \
nostdinc.test \
notrans.test \
number.test \
objc.test \
objc2.test \
obsolete.test \
order.test \
outdir.test \
output.test \
output2.test \
output3.test \
output4.test \
output5.test \
output6.test \
output7.test \
output8.test \
output9.test \
output10.test \
output11.test \
output12.test \
output13.test \
output-order.test \
overrid.test \
parallel-am.test \
parallel-am2.test \
parallel-am3.test \
parallel-tests.test \
parallel-tests2.test \
parallel-tests3.test \
parallel-tests4.test \
parallel-tests5.test \
parallel-tests6.test \
parallel-tests7.test \
parallel-tests8.test \
parallel-tests9.test \
parse.test \
percent.test \
percent2.test \
phony.test \
pluseq.test \
pluseq2.test \
pluseq3.test \
pluseq4.test \
pluseq5.test \
pluseq6.test \
pluseq7.test \
pluseq8.test \
pluseq9.test \
pluseq10.test \
postproc.test \
ppf77.test \
pr2.test \
pr9.test \
pr72.test \
pr87.test \
pr204.test \
pr211.test \
pr220.test \
pr224.test \
pr229.test \
pr243.test \
pr266.test \
pr279.test \
pr279-2.test \
pr287.test \
pr300-lib.test \
pr300-ltlib.test \
pr300-prog.test \
pr307.test \
pr401.test \
pr401b.test \
pr401c.test \
prefix.test \
primary.test \
primary2.test \
primary3.test \
proginst.test \
python.test \
python2.test \
python3.test \
python4.test \
python5.test \
python6.test \
python7.test \
python8.test \
python9.test \
python10.test \
python11.test \
python12.test \
recurs.test \
recurs2.test \
remake.test \
remake2.test \
remake3.test \
remake4.test \
remake5.test \
remake6.test \
remake7.test \
regex.test \
req.test \
reqd.test \
reqd2.test \
rulepat.test \
sanity.test \
scripts.test \
seenc.test \
silent.test \
silent2.test \
silent3.test \
silent4.test \
silent5.test \
silent6.test \
silent7.test \
sinclude.test \
srcsub.test \
srcsub2.test \
space.test \
specflg.test \
specflg2.test \
specflg3.test \
specflg6.test \
specflg7.test \
specflg8.test \
specflg9.test \
specflg10.test \
spell.test \
spell2.test \
spell3.test \
spelling.test \
spy.test \
stdinc.test \
stamph2.test \
stdlib.test \
stdlib2.test \
strip.test \
subdir.test \
subdir2.test \
subdir3.test \
subdir4.test \
subdir5.test \
subdir6.test \
subdir7.test \
subdir8.test \
subdir9.test \
subdirbuiltsources.test \
subcond.test \
subcond2.test \
subcond3.test \
subobj.test \
subobj2.test \
subobj3.test \
subobj4.test \
subobj5.test \
subobj6.test \
subobj7.test \
subobj8.test \
subobj9.test \
subobj10.test \
subobjname.test \
subpkg.test \
subpkg2.test \
subpkg3.test \
subpkg4.test \
subst.test \
subst2.test \
subst3.test \
subst4.test \
substref.test \
substre2.test \
substtarg.test \
suffix.test \
suffix2.test \
suffix3.test \
suffix4.test \
suffix5.test \
suffix6.test \
suffix7.test \
suffix8.test \
suffix9.test \
suffix10.test \
suffix11.test \
suffix12.test \
suffix13.test \
symlink.test \
symlink2.test \
symlink3.test \
syntax.test \
tags.test \
tagsub.test \
tar.test \
tar2.test \
tar3.test \
target-cflags.test \
targetclash.test \
txinfo.test \
txinfo2.test \
txinfo3.test \
txinfo4.test \
txinfo5.test \
txinfo6.test \
txinfo7.test \
txinfo8.test \
txinfo9.test \
txinfo10.test \
txinfo13.test \
txinfo16.test \
txinfo17.test \
txinfo18.test \
txinfo19.test \
txinfo20.test \
txinfo21.test \
txinfo22.test \
txinfo23.test \
txinfo24.test \
txinfo25.test \
txinfo26.test \
txinfo27.test \
txinfo28.test \
txinfo29.test \
txinfo30.test \
txinfo31.test \
txinfo32.test \
txinfo33.test \
transform.test \
transform2.test \
unused.test \
upc.test \
upc2.test \
upc3.test \
vala.test \
vala1.test \
vala2.test \
vala3.test \
vala4.test \
vala5.test \
vars.test \
vars3.test \
vartar.test \
version.test \
version2.test \
version3.test \
version4.test \
version6.test \
version7.test \
version8.test \
vpath.test \
vtexi.test \
vtexi2.test \
warnopts.test \
werror.test \
werror2.test \
whoami.test \
xsource.test \
xz.test \
yacc.test \
yacc2.test \
yacc3.test \
yacc4.test \
yacc5.test \
yacc6.test \
yacc7.test \
yacc8.test \
yaccpp.test \
yaccvpath.test \
$(parallel_tests)
EXTRA_DIST = ChangeLog-old gen-parallel-tests $(TESTS)
# Each test case depends on defs, aclocal, and automake.
check_SCRIPTS = defs defs-p aclocal-$(APIVERSION) automake-$(APIVERSION)
all: all-am
.SUFFIXES:
.SUFFIXES: .html .log .test
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(srcdir)/parallel-tests.am $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
&& { if test -f $@; then exit 0; else break; fi; }; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
$(am__cd) $(top_srcdir) && \
$(AUTOMAKE) --gnu tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
esac;
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
defs: $(top_builddir)/config.status $(srcdir)/defs.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
aclocal-${APIVERSION}: $(top_builddir)/config.status $(srcdir)/aclocal.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
automake-${APIVERSION}: $(top_builddir)/config.status $(srcdir)/automake.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
tags: TAGS
TAGS:
ctags: CTAGS
CTAGS:
# To be appended to the command running the test. Handle the stdout
# and stderr redirection, and catch the exit status.
am__check_post = \
>$@-t 2>&1; \
estatus=$$?; \
if test -n '$(DISABLE_HARD_ERRORS)' \
&& test $$estatus -eq 99; then \
estatus=1; \
fi; \
TERM=$$__SAVED_TERM; export TERM; \
$(am__tty_colors); \
xfailed=PASS; \
case " $(XFAIL_TESTS) " in \
*[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
xfailed=XFAIL;; \
esac; \
case $$estatus:$$xfailed in \
0:XFAIL) col=$$red; res=XPASS;; \
0:*) col=$$grn; res=PASS ;; \
77:*) col=$$blu; res=SKIP ;; \
99:*) col=$$red; res=FAIL ;; \
*:XFAIL) col=$$lgn; res=XFAIL;; \
*:*) col=$$red; res=FAIL ;; \
esac; \
echo "$${col}$$res$${std}: $$f"; \
echo "$$res: $$f (exit: $$estatus)" | \
$(am__rst_section) >$@; \
cat $@-t >>$@; \
rm -f $@-t
$(TEST_SUITE_LOG): $(TEST_LOGS)
@$(am__sh_e_setup); \
list='$(TEST_LOGS)'; \
results=`for f in $$list; do \
read line < $$f && echo "$$line" || echo FAIL; \
done`; \
all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[ ]*//'`; \
fail=`echo "$$results" | grep -c '^FAIL'`; \
pass=`echo "$$results" | grep -c '^PASS'`; \
skip=`echo "$$results" | grep -c '^SKIP'`; \
xfail=`echo "$$results" | grep -c '^XFAIL'`; \
xpass=`echo "$$results" | grep -c '^XPASS'`; \
failures=`expr $$fail + $$xpass`; \
all=`expr $$all - $$skip`; \
if test "$$all" -eq 1; then tests=test; All=; \
else tests=tests; All="All "; fi; \
case fail=$$fail:xpass=$$xpass:xfail=$$xfail in \
fail=0:xpass=0:xfail=0) \
msg="$$All$$all $$tests passed. "; \
exit=true;; \
fail=0:xpass=0:xfail=*) \
msg="$$All$$all $$tests behaved as expected"; \
if test "$$xfail" -eq 1; then xfailures=failure; \
else xfailures=failures; fi; \
msg="$$msg ($$xfail expected $$xfailures). "; \
exit=true;; \
fail=*:xpass=0:xfail=*) \
msg="$$fail of $$all $$tests failed. "; \
exit=false;; \
fail=*:xpass=*:xfail=*) \
msg="$$failures of $$all $$tests did not behave as expected"; \
if test "$$xpass" -eq 1; then xpasses=pass; \
else xpasses=passes; fi; \
msg="$$msg ($$xpass unexpected $$xpasses). "; \
exit=false;; \
*) \
echo >&2 "incorrect case"; exit 4;; \
esac; \
if test "$$skip" -ne 0; then \
if test "$$skip" -eq 1; then \
msg="$$msg($$skip test was not run). "; \
else \
msg="$$msg($$skip tests were not run). "; \
fi; \
fi; \
{ \
echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
$(am__rst_title); \
echo "$$msg"; \
echo; \
echo ".. contents:: :depth: 2"; \
echo; \
for f in $$list; do \
read line < $$f; \
case $$line in \
PASS:*|XFAIL:*);; \
*) echo; cat $$f;; \
esac; \
done; \
} >$(TEST_SUITE_LOG).tmp; \
mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
if test "$$failures" -ne 0; then \
msg="$${msg}See $(subdir)/$(TEST_SUITE_LOG). "; \
if test -n "$(PACKAGE_BUGREPORT)"; then \
msg="$${msg}Please report to $(PACKAGE_BUGREPORT). "; \
fi; \
fi; \
test x"$$VERBOSE" = x || $$exit || cat $(TEST_SUITE_LOG); \
$(am__tty_colors); \
if $$exit; then \
echo $(ECHO_N) "$$grn$(ECHO_C)"; \
else \
echo $(ECHO_N) "$$red$(ECHO_C)"; \
fi; \
echo "$$msg" | $(am__text_box); \
echo $(ECHO_N) "$$std$(ECHO_C)"; \
$$exit
# Run all the tests.
check-TESTS:
@list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
@set_logs=; if test "X$(TEST_LOGS)" = X.log; then \
set_logs=TEST_LOGS=; \
fi; \
$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) $$set_logs
.log.html:
@list='$(RST2HTML) $$RST2HTML rst2html rst2html.py'; \
for r2h in $$list; do \
if ($$r2h --version) >/dev/null 2>&1; then \
R2H=$$r2h; \
fi; \
done; \
if test -z "$$R2H"; then \
echo >&2 "cannot find rst2html, cannot create $@"; \
exit 2; \
fi; \
$$R2H $< >$@.tmp
@mv $@.tmp $@
# Be sure to run check first, and then to convert the result.
# Beware of concurrent executions. Run "check" not "check-TESTS", as
# check-SCRIPTS and other dependencies are rebuilt by the former only.
# And expect check to fail.
check-html:
@if $(MAKE) $(AM_MAKEFLAGS) check; then \
rv=0; else rv=$$?; \
fi; \
$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4; \
exit $$rv
recheck recheck-html:
@target=`echo $@ | sed 's,^re,,'`; \
list='$(TEST_LOGS)'; \
list=`for f in $$list; do \
test -f $$f || continue; \
if read line < $$f; then \
case $$line in FAIL*|XPASS*) echo $$f;; esac; \
else echo $$f; fi; \
done | tr '\012\015' ' '`; \
$(MAKE) $(AM_MAKEFLAGS) $$target AM_MAKEFLAGS='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
.test.log:
@p='$<'; $(am__check_pre) $(TEST_LOG_COMPILE) "$$tst" $(am__check_post)
distdir: $(DISTFILES)
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \
dist_files=`for file in $$list; do echo $$file; done | \
sed -e "s|^$$srcdirstrip/||;t" \
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
case $$dist_files in \
*/*) $(MKDIR_P) `echo "$$dist_files" | \
sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
sort -u` ;; \
esac; \
for file in $$dist_files; do \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
if test -d $$d/$$file; then \
dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
if test -d "$(distdir)/$$file"; then \
find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
else \
test -f "$(distdir)/$$file" \
|| cp -p $$d/$$file "$(distdir)/$$file" \
|| exit 1; \
fi; \
done
check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am
install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
-test -z "$(TEST_LOGS_TMP)" || rm -f $(TEST_LOGS_TMP)
-test -z "$(TEST_SUITE_HTML)" || rm -f $(TEST_SUITE_HTML)
-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
clean-generic:
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am
clean-am: clean-generic clean-local mostlyclean-am
distclean: distclean-am
-rm -f Makefile
distclean-am: clean-am distclean-generic
dvi: dvi-am
dvi-am:
html: html-am
html-am:
info: info-am
info-am:
install-data-am:
install-dvi: install-dvi-am
install-dvi-am:
install-exec-am:
install-html: install-html-am
install-html-am:
install-info: install-info-am
install-info-am:
install-man:
install-pdf: install-pdf-am
install-pdf-am:
install-ps: install-ps-am
install-ps-am:
installcheck-am:
maintainer-clean: maintainer-clean-am
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-generic
pdf: pdf-am
pdf-am:
ps: ps-am
ps-am:
uninstall-am:
.MAKE: check-am check-html install-am install-strip recheck \
recheck-html
.PHONY: all all-am check check-TESTS check-am check-html clean \
clean-generic clean-local distclean distclean-generic distdir \
dvi dvi-am html html-am info info-am install install-am \
install-data install-data-am install-dvi install-dvi-am \
install-exec install-exec-am install-html install-html-am \
install-info install-info-am install-man install-pdf \
install-pdf-am install-ps install-ps-am install-strip \
installcheck installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
pdf-am ps ps-am recheck recheck-html uninstall uninstall-am
$(srcdir)/parallel-tests.am: gen-parallel-tests Makefile.am
(cd $(srcdir) && $(SHELL) ./gen-parallel-tests) >$@
$(parallel_tests): $(parallel_tests:-p.test=.test) Makefile.am
input=`echo $@ | sed 's,.*/,,; s,-p.test$$,.test,'`; \
sed 's,^\. \./defs,. ./defs-p,' < $(srcdir)/$$input > $@
chmod a+rx $@
defs-p: defs Makefile.am
sed 's,^AM_INIT_AUTOMAKE$$,&([parallel-tests]),' < defs >$@
clean-local: clean-local-check
.PHONY: clean-local-check
clean-local-check:
-chmod -R u+rwx *.dir
-rm -rf defs-p *.dir
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: